function(context, request, response, javaHelper) {
  var storage = context.getStorage("storage");
  if (!storage.containsKey("counter")) {
    storage.put("counter", 0);
  }
  var counter = storage.get("counter");
  // update value in storage
  storage.put("counter", ++counter);
  
  var requestBody = JSON.parse(request.body);
  var responseBody = generateResponseBodyFromRequestBodyAndCounter(requestBody, counter);

  return response.json(responseBody);
}

function generateResponseBodyFromRequestBodyAndCounter(requestBody, counter) {
	return {
   	"orderId": counter.toString(),
   	"instructionId": requestBody.instructionId,
   	"orderCategory": "INTRABANK",
   	"orderType": requestBody.orderType,
   	"priority": requestBody.priority,
   	"flags":    [
	      "deletable",
      	"editable"
   	],
   	"state": "CREATED",
   	"stateDetail": "CRE",
   	"stateDateTime": "2018-05-08T10:24:41.82Z[UTC]",
   	"earliestTransferDate": null,
   	"signInfo":    {
	      "state": "OPEN",
      	"signId": "P-" + counter.toString() + "-7fe75e07",
      	"pollInterval": null
   	},
   	"equivalentAmount": null,
   	"fees": null
	};
}
